Index · Directives · Python · libudev · gudev systemd 4

## Name

runlevel — Print previous and current SysV runlevel

## Synopsis

`runlevel [options...]`

## Description

runlevel prints the previous and current SysV runlevel if they are known.

The two runlevel characters are separated by a single space character. If a runlevel cannot be determined, N is printed instead. If neither can be determined, the word "unknown" is printed.

Unless overridden in the environment, this will check the utmp database for recent runlevel changes.

## Options

The following option is understood:

`--help`

  Prints a short help text and exits.

## Exit status

If one or both runlevels could be determined, 0 is returned, a non-zero failure code otherwise.

## Environment

`$RUNLEVEL`

  If `$RUNLEVEL` is set, runlevel will print this value as current runlevel and ignore utmp.

`$PREVLEVEL`

  If `$PREVLEVEL` is set, runlevel will print this value as previous runlevel and ignore utmp.

## Files

`/var/run/utmp`

  The utmp database runlevel reads the previous and current runlevel from.

## Notes

This is a legacy command available for compatibility only. It should not be used anymore, as the concept of runlevels is obsolete.

## See Also

systemd(1), systemctl(1)